Package org.eclipse.net4j.util

# Schnittstelle RunnableWithException

Funktionsschnittstelle:
  Dies ist eine funktionale Schnittstelle, die somit als Zuweisungsziel für einen Lambdaausdruck oder eine Methodenreferenz verwendet werden kann.

@FunctionalInterface public interface RunnableWithException
An interface with a `run()` method that can propagate checked exceptions.

Seit:
  3.12
Autor:
  Eike Stepper

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`static void`
`forkAndWait(RunnableWithException runnable)`
`void`
`run()`

## Methodendetails

### run

void run() throws Exception

Löst aus:
  `Exception`

### forkAndWait

static void forkAndWait(RunnableWithException runnable) throws Exception

Löst aus:
  `Exception`